%global         pypi_name      orderedmultidict

Name:           python-orderedmultidict
Version:        1.0.1
Release:        %mkrel 5
Summary:        An ordered multivalue dictionary
License:        UNLICENSE
Group:          Development/Python

URL:            https://github.com/gruns/orderedmultidict
Source0:        https://pypi.python.org/pypi/orderedmultidict/%{version}/%{pypi_name}-%{version}.tar.gz

BuildArch:      noarch



%description
A multivalue dictionary is a dictionary that can store multiple values
for the same key. An ordered multivalue dictionary is a multivalue
dictionary that retains the order of insertions and deletions.



%package -n python3-orderedmultidict
Summary:        Python3 implementation of OMDict
Group:          Development/Python
BuildRequires:  python3
BuildRequires:  python3-setuptools
BuildArch:      noarch

%description -n python3-orderedmultidict
%{summary}.


%prep
%setup -q -n %{pypi_name}-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files orderedmultidict


%files -n python3-orderedmultidict -f %{pyproject_files}
%doc  README.md LICENSE.md API.md


%changelog
* Mon Jan 29 2024 papoteur <papoteur> 1.0.1-5.mga10
+ Revision: 2035896
- rebuild for python 3.12

* Wed Mar 23 2022 umeabot <umeabot> 1.0.1-4.mga9
+ Revision: 1823544
- Mageia 9 Mass Rebuild

* Wed Feb 23 2022 mrambo3501 <mrambo3501> 1.0.1-3.mga9
+ Revision: 1783454
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 1.0.1-2.mga9
+ Revision: 1732650
- Rebuild for python 3.9

* Sat Jul 11 2020 eatdirt <eatdirt> 1.0.1-1.mga8
+ Revision: 1605241
- Upgrade to version 1.0.1

* Sun Feb 16 2020 umeabot <umeabot> 1.0-5.mga8
+ Revision: 1533846
- Mageia 8 Mass Rebuild

* Tue Sep 24 2019 tv <tv> 1.0-4.mga8
+ Revision: 1445501
- rebuild for python-3.8
- drop python2 subpkg

* Wed Jan 09 2019 shlomif <shlomif> 1.0-3.mga7
+ Revision: 1353562
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 1.0-2.mga7
+ Revision: 1289500
- Mageia 7 Mass Rebuild

* Sun Jun 24 2018 eatdirt <eatdirt> 1.0-1.mga7
+ Revision: 1239390
- Upgrade to version 1.0

* Sat Aug 05 2017 pterjan <pterjan> 0.7.11-2.mga7
+ Revision: 1135526
- Rebuild for python 3.6

* Mon Dec 19 2016 eatdirt <eatdirt> 0.7.11-1.mga6
+ Revision: 1076185
- imported package python-orderedmultidict

